[Stable Update i686] 2018-07-09 - Kernels, Firefox, Virtualbox

update
stable
manjaro32

#1

Hello i686ers!

This is a smaller set of updates, mainly to push out kernel and Firefox updates.


Anyone who would like to help out testing the upstream packages, please read the archlinux32 thread for details about how they automate their testing process and how to get involved:

https://bbs.archlinux32.org/viewtopic.php?id=171

(running this in an archlinux32 VM would be fine, there will hopefully be a way of doing this directly from within manjaro32 in the future)


Available kernels

Series Version
linux316 3.16.56
linux41 4.1.52
linux44 4.4.139
linux49 4.9.111
linux414 4.14.53

archlinux32

If you find manjaro32 useful please consider donating to, or helping out with, archlinux32. It’s a small team taking on a huge project and any help will no doubt be very much appreciated.

Why aren’t the available packages/package versions the same as x86_64?

archlinux32 packages are based on Arch packages but may need editing to build correctly. Builds of less-popular packages are lower priority.

Manjaro-specific packages may lag behind x86_64 because there aren’t as many packagers. If you notice an important package is lagging please report it; at the moment it’s only me packaging for i686:

I’m only packaging current LTS kernels. Any marked as EOL are dropped. I’ll not be building the mainline kernel.

What about security updates?

I cannot guarantee timely security updates on x32-stable. If this is critical for you I recommend you switch to x32-testing or cherry-pick those packages from x32-testing or x32-unstable as they become available.

Something broke. Isn’t this meant to be stable?

“Stable” means “infrequently changing”, not “everything will work perfectly all the time”. If you want it to mean everything works, you need to help test the things you’re interested in.

What about installer images?

Phil very kindly updated the preview installer images:

What about x32-testing and x32-unstable?

These are already available, and I recommend you use x32-testing if you can to make sure testing is done.

x32-unstable should be used by anyone who wants to try and find any issues before they impact other people. If you have multiple/many machines you really should run one of those on x32-unstable.

Full list of changes

:: Different overlay package(s) in repository core i686

-------------------------------------------------------------------------------
                             PACKAGE           x32-stable          x32-testing
-------------------------------------------------------------------------------
                          libsystemd              239.0-1              239.0-2
                            linux414            4.14.51-1            4.14.53-1
                    linux414-headers            4.14.51-1            4.14.53-1
                             linux44            4.4.138-1            4.4.139-1
                     linux44-headers            4.4.138-1            4.4.139-1
                             linux49            4.9.109-1            4.9.111-1
                     linux49-headers            4.9.109-1            4.9.111-1
                      manjaro-system           20180625-1           20180704-1
                      pacman-mirrors             4.11.0-1             4.11.2-1
                             systemd              239.0-1              239.0-2
                  systemd-resolvconf              239.0-1              239.0-2
                  systemd-sysvcompat              239.0-1              239.0-2


:: Different sync package(s) in repository core i686

-------------------------------------------------------------------------------
                             PACKAGE           x32-stable          x32-testing
-------------------------------------------------------------------------------
                              dialog   1:1.3_20171209-1.0   1:1.3_20180621-1.0
                            iana-etc         20180221-1.0         20180221-1.2
                          libsystemd          238.133-4.0            239.0-2.0
                              netctl             1.16-1.0             1.17-1.0
                                 pth              2.0.7-5            2.0.7-6.0
                             systemd          238.133-4.0            239.0-2.0
                  systemd-sysvcompat          238.133-4.0            239.0-2.0
                         pcmciautils                    -              018-8.1
                  systemd-resolvconf                    -            239.0-2.0


:: Different overlay package(s) in repository extra i686

-------------------------------------------------------------------------------
                             PACKAGE           x32-stable          x32-testing
-------------------------------------------------------------------------------
                                 aom              1.0.0-0                    -
                       calamares-git3.2.0.r4680.518a94488-13.2.2.r4845.15eaff15f-1
                             firefox               61.0-0             61.0.1-0
                         kinfocenter             5.13.0-1             5.13.2-1
                   libxfce4util-gtk3             4.13.1-3             4.13.2-1
                  linux316-acpi_call             1.1.0-43             1.1.0-44
                linux316-broadcom-wl      6.30.223.271-22      6.30.223.271-23
                linux316-ndiswrapper              1.61-22              1.61-23
               linux316-nvidia-304xx         1:304.137-13         1:304.137-14
               linux316-nvidia-340xx            340.106-7            340.107-2
               linux316-nvidia-390xx             390.59-2             390.67-2
                      linux316-r8168           8.045.08-8           8.045.08-9
                  linux316-rt3562sta        2.4.1.1_r4-22        2.4.1.1_r4-23
                        linux316-spl              0.7.9-2              0.7.9-3
                linux316-vhba-module          20161009-22          20161009-23
   linux316-virtualbox-guest-modules             5.2.12-2             5.2.14-1
    linux316-virtualbox-host-modules             5.2.12-2             5.2.14-1
                        linux316-zfs              0.7.9-2              0.7.9-3
                linux41-nvidia-390xx             390.59-2             390.67-1
    linux41-virtualbox-guest-modules             5.2.12-2             5.2.14-1
     linux41-virtualbox-host-modules             5.2.12-2             5.2.14-1
                  linux414-acpi_call             1.1.0-43             1.1.0-46
                   linux414-bbswitch               0.8-43               0.8-46
                linux414-broadcom-wl      6.30.223.271-43      6.30.223.271-46
                linux414-ndiswrapper              1.61-43              1.61-46
               linux414-nvidia-304xx         1:304.137-43         1:304.137-46
               linux414-nvidia-340xx            340.107-2            340.107-5
               linux414-nvidia-390xx             390.67-2             390.67-5
                      linux414-r8168          8.045.08-31          8.045.08-34
                  linux414-rt3562sta        2.4.1.1_r4-43        2.4.1.1_r4-46
                        linux414-spl              0.7.9-7             0.7.9-10
                   linux414-tp_smapi              0.41-43              0.41-46
                linux414-vhba-module          20161009-43          20161009-46
   linux414-virtualbox-guest-modules             5.2.12-7             5.2.14-1
    linux414-virtualbox-host-modules             5.2.12-7             5.2.14-1
                        linux414-zfs              0.7.9-7             0.7.9-10
                   linux44-acpi_call             1.1.0-98             1.1.0-99
                 linux44-broadcom-wl      6.30.223.271-68      6.30.223.271-69
                 linux44-ndiswrapper              1.61-66              1.61-67
                linux44-nvidia-304xx         1:304.137-33         1:304.137-34
                linux44-nvidia-340xx            340.107-3            340.107-4
                linux44-nvidia-390xx             390.67-3             390.67-4
                       linux44-r8168          8.045.08-20          8.045.08-21
                   linux44-rt3562sta        2.4.1.1_r4-66        2.4.1.1_r4-67
                         linux44-spl              0.7.9-6              0.7.9-7
                 linux44-vhba-module          20161009-66          20161009-67
    linux44-virtualbox-guest-modules             5.2.12-6             5.2.14-1
     linux44-virtualbox-host-modules             5.2.12-6             5.2.14-1
                         linux44-zfs              0.7.9-6              0.7.9-7
                   linux49-acpi_call             1.1.0-84             1.1.0-85
                    linux49-bbswitch               0.8-84               0.8-85
                 linux49-broadcom-wl      6.30.223.271-84      6.30.223.271-85
                 linux49-ndiswrapper              1.61-82              1.61-83
                linux49-nvidia-304xx         1:304.137-43         1:304.137-44
                linux49-nvidia-340xx            340.107-3            340.107-4
                linux49-nvidia-390xx             390.67-3             390.67-4
                       linux49-r8168          8.045.08-24          8.045.08-25
                   linux49-rt3562sta        2.4.1.1_r4-82        2.4.1.1_r4-83
                         linux49-spl              0.7.9-8              0.7.9-9
                    linux49-tp_smapi              0.41-84              0.41-85
                 linux49-vhba-module          20161009-82          20161009-83
    linux49-virtualbox-guest-modules             5.2.12-8             5.2.14-1
     linux49-virtualbox-host-modules             5.2.12-8             5.2.14-1
                         linux49-zfs              0.7.9-8              0.7.9-9
                       manjaro-hello             0.5.11-2             0.5.11-3
                   ndiswrapper-utils              1.61-43              1.61-46
                    rt3562sta-common        2.4.1.1_r4-82        2.4.1.1_r4-83
                         thunar-gtk3              1.8.0-1              1.8.1-2
                 xfce4-settings-gtk3             4.13.2-4             4.13.4-1
                         xfconf-gtk3             4.13.4-4             4.13.5-1
                      xfdesktop-gtk3            4.13.1-11             4.13.2-1


:: Different sync package(s) in repository extra i686

-------------------------------------------------------------------------------
                             PACKAGE           x32-stable          x32-testing
-------------------------------------------------------------------------------
                          artikulate          18.04.2-1.0          18.04.2-2.0
                                babl0.1.50+5+g7af0e8c-1.0           0.1.52-1.0
                               cmake           3.11.4-1.0           3.11.4-1.1
                               emacs             26.1-1.0             26.1-2.0
                                 feh           2.26.4-1.0             2.27-1.0
                    firefox-i18n-ach             61.0-1.0           61.0.1-1.0
                     firefox-i18n-af             61.0-1.0           61.0.1-1.0
                     firefox-i18n-an             61.0-1.0           61.0.1-1.0
                     firefox-i18n-ar             61.0-1.0           61.0.1-1.0
                     firefox-i18n-as             61.0-1.0           61.0.1-1.0
                    firefox-i18n-ast             61.0-1.0           61.0.1-1.0
                     firefox-i18n-az             61.0-1.0           61.0.1-1.0
                     firefox-i18n-be             61.0-1.0           61.0.1-1.0
                     firefox-i18n-bg             61.0-1.0           61.0.1-1.0
                  firefox-i18n-bn-bd             61.0-1.0           61.0.1-1.0
                  firefox-i18n-bn-in             61.0-1.0           61.0.1-1.0
                     firefox-i18n-br             61.0-1.0           61.0.1-1.0
                     firefox-i18n-bs             61.0-1.0           61.0.1-1.0
                     firefox-i18n-ca             61.0-1.0           61.0.1-1.0
                    firefox-i18n-cak             61.0-1.0           61.0.1-1.0
                     firefox-i18n-cs             61.0-1.0           61.0.1-1.0
                     firefox-i18n-cy             61.0-1.0           61.0.1-1.0
                     firefox-i18n-da             61.0-1.0           61.0.1-1.0
                     firefox-i18n-de             61.0-1.0           61.0.1-1.0
                    firefox-i18n-dsb             61.0-1.0           61.0.1-1.0
                     firefox-i18n-el             61.0-1.0           61.0.1-1.0
                  firefox-i18n-en-gb             61.0-1.0           61.0.1-1.0
                  firefox-i18n-en-us             61.0-1.0           61.0.1-1.0
                  firefox-i18n-en-za             61.0-1.0           61.0.1-1.0
                     firefox-i18n-eo             61.0-1.0           61.0.1-1.0
                  firefox-i18n-es-ar             61.0-1.0           61.0.1-1.0
                  firefox-i18n-es-cl             61.0-1.0           61.0.1-1.0
                  firefox-i18n-es-es             61.0-1.0           61.0.1-1.0
                  firefox-i18n-es-mx             61.0-1.0           61.0.1-1.0
                     firefox-i18n-et             61.0-1.0           61.0.1-1.0
                     firefox-i18n-eu             61.0-1.0           61.0.1-1.0
                     firefox-i18n-fa             61.0-1.0           61.0.1-1.0
                     firefox-i18n-ff             61.0-1.0           61.0.1-1.0
                     firefox-i18n-fi             61.0-1.0           61.0.1-1.0
                     firefox-i18n-fr             61.0-1.0           61.0.1-1.0
                  firefox-i18n-fy-nl             61.0-1.0           61.0.1-1.0
                  firefox-i18n-ga-ie             61.0-1.0           61.0.1-1.0
                     firefox-i18n-gd             61.0-1.0           61.0.1-1.0
                     firefox-i18n-gl             61.0-1.0           61.0.1-1.0
                     firefox-i18n-gn             61.0-1.0           61.0.1-1.0
                  firefox-i18n-gu-in             61.0-1.0           61.0.1-1.0
                     firefox-i18n-he             61.0-1.0           61.0.1-1.0
                  firefox-i18n-hi-in             61.0-1.0           61.0.1-1.0
                     firefox-i18n-hr             61.0-1.0           61.0.1-1.0
                    firefox-i18n-hsb             61.0-1.0           61.0.1-1.0
                     firefox-i18n-hu             61.0-1.0           61.0.1-1.0
                  firefox-i18n-hy-am             61.0-1.0           61.0.1-1.0
                     firefox-i18n-id             61.0-1.0           61.0.1-1.0
                     firefox-i18n-is             61.0-1.0           61.0.1-1.0
                     firefox-i18n-it             61.0-1.0           61.0.1-1.0
                     firefox-i18n-ja             61.0-1.0           61.0.1-1.0
                     firefox-i18n-ka             61.0-1.0           61.0.1-1.0
                    firefox-i18n-kab             61.0-1.0           61.0.1-1.0
                     firefox-i18n-kk             61.0-1.0           61.0.1-1.0
                     firefox-i18n-km             61.0-1.0           61.0.1-1.0
                     firefox-i18n-kn             61.0-1.0           61.0.1-1.0
                     firefox-i18n-ko             61.0-1.0           61.0.1-1.0
                    firefox-i18n-lij             61.0-1.0           61.0.1-1.0
                     firefox-i18n-lt             61.0-1.0           61.0.1-1.0
                     firefox-i18n-lv             61.0-1.0           61.0.1-1.0
                    firefox-i18n-mai             61.0-1.0           61.0.1-1.0
                     firefox-i18n-mk             61.0-1.0           61.0.1-1.0
                     firefox-i18n-ml             61.0-1.0           61.0.1-1.0
                     firefox-i18n-mr             61.0-1.0           61.0.1-1.0
                     firefox-i18n-ms             61.0-1.0           61.0.1-1.0
                     firefox-i18n-my             61.0-1.0           61.0.1-1.0
                  firefox-i18n-nb-no             61.0-1.0           61.0.1-1.0
                     firefox-i18n-nl             61.0-1.0           61.0.1-1.0
                  firefox-i18n-nn-no             61.0-1.0           61.0.1-1.0
                     firefox-i18n-or             61.0-1.0           61.0.1-1.0
                  firefox-i18n-pa-in             61.0-1.0           61.0.1-1.0
                     firefox-i18n-pl             61.0-1.0           61.0.1-1.0
                  firefox-i18n-pt-br             61.0-1.0           61.0.1-1.0
                  firefox-i18n-pt-pt             61.0-1.0           61.0.1-1.0
                     firefox-i18n-rm             61.0-1.0           61.0.1-1.0
                     firefox-i18n-ro             61.0-1.0           61.0.1-1.0
                     firefox-i18n-ru             61.0-1.0           61.0.1-1.0
                     firefox-i18n-si             61.0-1.0           61.0.1-1.0
                     firefox-i18n-sk             61.0-1.0           61.0.1-1.0
                     firefox-i18n-sl             61.0-1.0           61.0.1-1.0
                    firefox-i18n-son             61.0-1.0           61.0.1-1.0
                     firefox-i18n-sq             61.0-1.0           61.0.1-1.0
                     firefox-i18n-sr             61.0-1.0           61.0.1-1.0
                  firefox-i18n-sv-se             61.0-1.0           61.0.1-1.0
                     firefox-i18n-ta             61.0-1.0           61.0.1-1.0
                     firefox-i18n-te             61.0-1.0           61.0.1-1.0
                     firefox-i18n-th             61.0-1.0           61.0.1-1.0
                     firefox-i18n-tr             61.0-1.0           61.0.1-1.0
                     firefox-i18n-uk             61.0-1.0           61.0.1-1.0
                     firefox-i18n-ur             61.0-1.0           61.0.1-1.0
                     firefox-i18n-uz             61.0-1.0           61.0.1-1.0
                     firefox-i18n-vi             61.0-1.0           61.0.1-1.0
                     firefox-i18n-xh             61.0-1.0           61.0.1-1.0
                  firefox-i18n-zh-cn             61.0-1.0           61.0.1-1.0
                  firefox-i18n-zh-tw             61.0-1.0           61.0.1-1.0
                               guile            2.2.3-1.0            2.2.4-1.0
                            harfbuzz            1.8.1-1.0            1.8.2-1.0
                        harfbuzz-icu            1.8.1-1.0            1.8.2-1.0
                         imagemagick          7.0.8.3-1.1          7.0.8.5-1.0
                     imagemagick-doc          7.0.8.3-1.1          7.0.8.5-1.0
                        imagemagick6         6.9.10.3-1.1         6.9.10.5-1.0
                            libinput           1.11.1-2.0           1.11.2-1.0
                           libmagick          7.0.8.3-1.1          7.0.8.5-1.0
                          libmagick6         6.9.10.3-1.1         6.9.10.5-1.0
                libtorrent-rasterbar          1:1.1.7-2.0          1:1.1.8-1.0
                        libxfce4util           4.12.1-2.0           4.13.2-1.0
                           mercurial            4.6.1-1.0            4.6.2-1.0
                               meson           0.46.1-1.1           0.47.0-1.1
                                 mlt            6.8.0-2.0           6.10.0-1.0
                 mlt-python-bindings            6.8.0-2.0           6.10.0-1.0
                               ndctl             60.3-2.0             61.1-1.0
                              okteta          17.12.3-2.0         1:0.25.0-1.1
                              opencv            3.4.1-3.0            3.4.2-1.0
                      opencv-samples            3.4.1-3.0            3.4.2-1.0
                        pyqt5-common           5.10.1-6.1           5.10.1-7.0
                         python-lxml            4.2.2-1.0            4.2.3-1.0
                    python-lxml-docs            4.2.2-1.0            4.2.3-1.0
               python-pyasn1-modules            0.2.1-1.0            0.2.2-1.0
                        python-pyqt5           5.10.1-6.1           5.10.1-7.0
                        python2-lxml            4.2.2-1.0            4.2.3-1.0
              python2-pyasn1-modules            0.2.1-1.0            0.2.2-1.0
                       python2-pyqt5           5.10.1-6.1           5.10.1-7.0
                             qca-qt4           2.1.3-10.1           2.1.3-11.0
                             qca-qt5           2.1.3-10.1           2.1.3-11.0
                           qtcreator            4.6.2-1.0            4.6.2-2.0
                                   r            3.5.0-1.0            3.5.1-1.0
                              thunar            1.8.1-1.01.8.1.11.gf5147445-1.0
                  ttf-freebanglafont           20130212-2         20130212-3.0
                        zabbix-agent           3.4.10-1.0           3.4.11-1.0
                 zabbix-frontend-php           3.4.10-1.0           3.4.11-1.0
                        zabbix-proxy           3.4.10-1.0           3.4.11-1.0
                       zabbix-server           3.4.10-1.0           3.4.11-1.0
                                 aom                    -            1.0.0-1.0
                     freecell-solver                    -           4.18.0-1.0


:: Different sync package(s) in repository community i686

-------------------------------------------------------------------------------
                             PACKAGE           x32-stable          x32-testing
-------------------------------------------------------------------------------
                      acpi_call-dkms          1.1.0-138.0          1.1.0-139.0
                    adapta-gtk-theme        3.93.1.22-1.0         3.94.0.1-1.0
                             ansible            2.6.0-1.0            2.6.1-1.0
                           arrayfire            3.6.0-3.0            3.6.1-1.0
                           audaspace              1.3.0-1            1.3.0-2.0
                             aws-cli          1.15.47-1.0          1.15.51-1.0
                            badtouch            0.5.1-3.0            0.5.2-1.0
                          blinksocks            3.3.3-1.0            3.3.4-1.0
                           blueberry            1.2.0-1.0            1.2.3-1.0
                               boinc            7.8.6-1.0           7.10.3-1.0
                           boinc-nox            7.8.6-1.0           7.10.3-1.0
                               botan            2.6.0-1.0            2.7.0-1.0
                         broadcom-wl    6.30.223.271-25.0    6.30.223.271-26.0
                             buildah              1.0-1.0              1.1-1.0
                             calibre           3.26.1-1.0           3.27.0-1.0
                              camlp5             7.05-1.0             7.06-1.0
                          cherrytree           0.38.4-1.0           0.38.5-1.0
                            cinnamon            3.8.6-1.0            3.8.7-1.0
                    cinnamon-session            3.8.1-1.0            3.8.2-1.0
               cldr-emoji-annotation         33.0.0.2-1.0         33.1.0.0-1.0
                              consul            1.1.0-2.0            1.2.0-1.0
                          converseen          0.9.6.2-6.0          0.9.6.2-7.0
                                 coq            8.8.1-1.0            8.8.1-2.0
                             coq-doc            8.8.1-1.0            8.8.1-2.0
                              coqide            8.8.1-1.0            8.8.1-2.0
                          cozy-stack         2018M2S5-1.0         2018M2S6-1.0
                              cython           0.28.3-2.0           0.28.4-1.0
                             cython2           0.28.3-2.0           0.28.4-1.0
                         debootstrap          1.0.103-1.0          1.0.106-1.0
                              devede           4.11.0-1.0           4.12.0-1.0
                            dopewars           1.5.12-9.0          1.5.12-10.1
                                 dub            1.9.0-1.0           1.10.0-1.0
                       dwarffortress          0.44.11-1.0        0.44.11.1-1.0
                               eclib         20171219-3.0         20171219-4.0
                               elisa            0.1.1-1.0            0.2.0-1.0
                           emacs-nox               25.3-1             26.1-1.0
                               eolie           0.9.34-1.0           0.9.35-1.0
                              erlang             21.0-1.0           21.0.1-1.0
                          erlang-nox             21.0-1.0           21.0.1-1.0
                     erlang-unixodbc             21.0-1.0           21.0.1-1.0
                             fatsort          1.3.365-2.0        1.4.2.439-1.0
                          feedreader2.0.2+559+g78d7ced8-1.0              2.2-1.0
  firefox-developer-edition-i18n-ach           62.0b4-1.0           62.0b6-1.0
   firefox-developer-edition-i18n-af           62.0b4-1.0           62.0b6-1.0
   firefox-developer-edition-i18n-an           62.0b4-1.0           62.0b6-1.0
   firefox-developer-edition-i18n-ar           62.0b4-1.0           62.0b6-1.0
   firefox-developer-edition-i18n-as           62.0b4-1.0           62.0b6-1.0
  firefox-developer-edition-i18n-ast           62.0b4-1.0           62.0b6-1.0
   firefox-developer-edition-i18n-az           62.0b4-1.0           62.0b6-1.0
   firefox-developer-edition-i18n-be           62.0b4-1.0           62.0b6-1.0
   firefox-developer-edition-i18n-bg           62.0b4-1.0           62.0b6-1.0
firefox-developer-edition-i18n-bn-bd           62.0b4-1.0           62.0b6-1.0
firefox-developer-edition-i18n-bn-in           62.0b4-1.0           62.0b6-1.0
   firefox-developer-edition-i18n-br           62.0b4-1.0           62.0b6-1.0
   firefox-developer-edition-i18n-bs           62.0b4-1.0           62.0b6-1.0
   firefox-developer-edition-i18n-ca           62.0b4-1.0           62.0b6-1.0
  firefox-developer-edition-i18n-cak           62.0b4-1.0           62.0b6-1.0
   firefox-developer-edition-i18n-cs           62.0b4-1.0           62.0b6-1.0
   firefox-developer-edition-i18n-cy           62.0b4-1.0           62.0b6-1.0
   firefox-developer-edition-i18n-da           62.0b4-1.0           62.0b6-1.0
   firefox-developer-edition-i18n-de           62.0b4-1.0           62.0b6-1.0
  firefox-developer-edition-i18n-dsb           62.0b4-1.0           62.0b6-1.0
   firefox-developer-edition-i18n-el           62.0b4-1.0           62.0b6-1.0
firefox-developer-edition-i18n-en-gb           62.0b4-1.0           62.0b6-1.0
firefox-developer-edition-i18n-en-us           62.0b4-1.0           62.0b6-1.0
firefox-developer-edition-i18n-en-za           62.0b4-1.0           62.0b6-1.0
   firefox-developer-edition-i18n-eo           62.0b4-1.0           62.0b6-1.0
firefox-developer-edition-i18n-es-ar           62.0b4-1.0           62.0b6-1.0
firefox-developer-edition-i18n-es-cl           62.0b4-1.0           62.0b6-1.0
firefox-developer-edition-i18n-es-es           62.0b4-1.0           62.0b6-1.0
firefox-developer-edition-i18n-es-mx           62.0b4-1.0           62.0b6-1.0
   firefox-developer-edition-i18n-et           62.0b4-1.0           62.0b6-1.0
   firefox-developer-edition-i18n-eu           62.0b4-1.0           62.0b6-1.0
   firefox-developer-edition-i18n-fa           62.0b4-1.0           62.0b6-1.0
   firefox-developer-edition-i18n-ff           62.0b4-1.0           62.0b6-1.0
   firefox-developer-edition-i18n-fi           62.0b4-1.0           62.0b6-1.0
   firefox-developer-edition-i18n-fr           62.0b4-1.0           62.0b6-1.0
firefox-developer-edition-i18n-fy-nl           62.0b4-1.0           62.0b6-1.0
firefox-developer-edition-i18n-ga-ie           62.0b4-1.0           62.0b6-1.0
   firefox-developer-edition-i18n-gd           62.0b4-1.0           62.0b6-1.0
   firefox-developer-edition-i18n-gl           62.0b4-1.0           62.0b6-1.0
   firefox-developer-edition-i18n-gn           62.0b4-1.0           62.0b6-1.0
firefox-developer-edition-i18n-gu-in           62.0b4-1.0           62.0b6-1.0
   firefox-developer-edition-i18n-he           62.0b4-1.0           62.0b6-1.0
firefox-developer-edition-i18n-hi-in           62.0b4-1.0           62.0b6-1.0
   firefox-developer-edition-i18n-hr           62.0b4-1.0           62.0b6-1.0
  firefox-developer-edition-i18n-hsb           62.0b4-1.0           62.0b6-1.0
   firefox-developer-edition-i18n-hu           62.0b4-1.0           62.0b6-1.0
firefox-developer-edition-i18n-hy-am           62.0b4-1.0           62.0b6-1.0
   firefox-developer-edition-i18n-ia           62.0b4-1.0           62.0b6-1.0
   firefox-developer-edition-i18n-id           62.0b4-1.0           62.0b6-1.0
   firefox-developer-edition-i18n-is           62.0b4-1.0           62.0b6-1.0
   firefox-developer-edition-i18n-it           62.0b4-1.0           62.0b6-1.0
   firefox-developer-edition-i18n-ja           62.0b4-1.0           62.0b6-1.0
   firefox-developer-edition-i18n-ka           62.0b4-1.0           62.0b6-1.0
  firefox-developer-edition-i18n-kab           62.0b4-1.0           62.0b6-1.0
   firefox-developer-edition-i18n-kk           62.0b4-1.0           62.0b6-1.0
   firefox-developer-edition-i18n-km           62.0b4-1.0           62.0b6-1.0
   firefox-developer-edition-i18n-kn           62.0b4-1.0           62.0b6-1.0
   firefox-developer-edition-i18n-ko           62.0b4-1.0           62.0b6-1.0
  firefox-developer-edition-i18n-lij           62.0b4-1.0           62.0b6-1.0
   firefox-developer-edition-i18n-lt           62.0b4-1.0           62.0b6-1.0
   firefox-developer-edition-i18n-lv           62.0b4-1.0           62.0b6-1.0
  firefox-developer-edition-i18n-mai           62.0b4-1.0           62.0b6-1.0
   firefox-developer-edition-i18n-mk           62.0b4-1.0           62.0b6-1.0
   firefox-developer-edition-i18n-ml           62.0b4-1.0           62.0b6-1.0
   firefox-developer-edition-i18n-mr           62.0b4-1.0           62.0b6-1.0
   firefox-developer-edition-i18n-ms           62.0b4-1.0           62.0b6-1.0
   firefox-developer-edition-i18n-my           62.0b4-1.0           62.0b6-1.0
firefox-developer-edition-i18n-nb-no           62.0b4-1.0           62.0b6-1.0
firefox-developer-edition-i18n-ne-np           62.0b4-1.0           62.0b6-1.0
   firefox-developer-edition-i18n-nl           62.0b4-1.0           62.0b6-1.0
firefox-developer-edition-i18n-nn-no           62.0b4-1.0           62.0b6-1.0
   firefox-developer-edition-i18n-or           62.0b4-1.0           62.0b6-1.0
firefox-developer-edition-i18n-pa-in           62.0b4-1.0           62.0b6-1.0
   firefox-developer-edition-i18n-pl           62.0b4-1.0           62.0b6-1.0
firefox-developer-edition-i18n-pt-br           62.0b4-1.0           62.0b6-1.0
firefox-developer-edition-i18n-pt-pt           62.0b4-1.0           62.0b6-1.0
   firefox-developer-edition-i18n-rm           62.0b4-1.0           62.0b6-1.0
   firefox-developer-edition-i18n-ro           62.0b4-1.0           62.0b6-1.0
   firefox-developer-edition-i18n-ru           62.0b4-1.0           62.0b6-1.0
   firefox-developer-edition-i18n-si           62.0b4-1.0           62.0b6-1.0
   firefox-developer-edition-i18n-sk           62.0b4-1.0           62.0b6-1.0
   firefox-developer-edition-i18n-sl           62.0b4-1.0           62.0b6-1.0
  firefox-developer-edition-i18n-son           62.0b4-1.0           62.0b6-1.0
   firefox-developer-edition-i18n-sq           62.0b4-1.0           62.0b6-1.0
   firefox-developer-edition-i18n-sr           62.0b4-1.0           62.0b6-1.0
firefox-developer-edition-i18n-sv-se           62.0b4-1.0           62.0b6-1.0
   firefox-developer-edition-i18n-ta           62.0b4-1.0           62.0b6-1.0
   firefox-developer-edition-i18n-te           62.0b4-1.0           62.0b6-1.0
   firefox-developer-edition-i18n-th           62.0b4-1.0           62.0b6-1.0
   firefox-developer-edition-i18n-tr           62.0b4-1.0           62.0b6-1.0
   firefox-developer-edition-i18n-uk           62.0b4-1.0           62.0b6-1.0
   firefox-developer-edition-i18n-ur           62.0b4-1.0           62.0b6-1.0
   firefox-developer-edition-i18n-uz           62.0b4-1.0           62.0b6-1.0
   firefox-developer-edition-i18n-vi           62.0b4-1.0           62.0b6-1.0
   firefox-developer-edition-i18n-xh           62.0b4-1.0           62.0b6-1.0
firefox-developer-edition-i18n-zh-cn           62.0b4-1.0           62.0b6-1.0
firefox-developer-edition-i18n-zh-tw           62.0b4-1.0           62.0b6-1.0
                               flint           2.5.2-22.0           2.5.2-23.0
                                 gap           4.8.10-3.0            4.9.2-2.0
                             gap-doc           4.8.10-3.0            4.9.2-2.0
                        gap-packages           4.8.10-3.0            4.9.2-2.0
                                gdal            2.3.0-2.1            2.3.1-1.0
                               gdnsd            2.4.0-1.0            2.4.0-2.0
                    gimp-plugin-gmic            2.3.2-1.0            2.3.3-1.0
                       gitlab-gitaly          0.108.0-1.0          0.111.0-1.0
                    gitlab-workhorse            4.3.1-1.0            5.0.0-1.0
                              glider            0.5.3-1.0            0.6.1-1.0
                                gmic            2.3.2-1.0            2.3.3-1.0
                             gnucash              3.1-2.0              3.2-1.0
                        gnucash-docs              3.1-1.0              3.2-1.0
                               godep               2:79-2             2:80-1.0
                           gogglesmm            1.1.9-4.0            1.2.0-1.0
                              gopass            1.8.1-1.0            1.8.2-1.0
                             gpodder           3.10.1-1.0           3.10.3-1.0
                              gpxsee             5.11-1.0             5.15-1.0
                              gradle              4.8-1.0            4.8.1-1.0
                          gradle-doc              4.8-1.0            4.8.1-1.0
                          gradle-src              4.8-1.0            4.8.1-1.0
                      gtksourceview4            4.0.1-1.0            4.0.2-1.0
                               guake            3.2.1-1.0            3.3.0-1.0
                                hugo           0.42.1-1.0           0.42.2-1.0
                                  hy           0.14.0-2.0           0.14.0-5.0
                         innoextract              1.6-4.0              1.7-1.0
                             jenkins            2.129-1.0            2.131-1.0
                              jgmenu              1.0-1.0              1.1-1.0
                                josm            13878-1.0            13996-1.0
                               julia          2:0.6.3-1.0          2:0.6.3-2.0
                          julia-docs          2:0.6.3-1.0          2:0.6.3-2.0
                               kdav2            0.1.0-2.0            0.2.0-1.0
                                 kea            1.4.0-1.0            1.4.0-2.0
                           keepassxc            2.3.3-1.0            2.3.3-1.1
                               kitty           0.11.1-1.0           0.11.2-1.0
                              kotlin           1.2.41-1.0           1.2.50-1.0
                   krita-plugin-gmic            2.3.2-1.0            2.3.3-1.0
                                kube            0.6.0-1.1            0.7.0-1.0
               kvantum-theme-materia         20180618-1.0         20180701-1.0
                     latte-integrale            1.7.3-6.1            1.7.3-7.0
                            libdwarf         20180129-1.0         20180527-1.0
                              libgap            4.8.6-6.0            4.8.6-7.0
                             libgiac         1.4.9.69-4.0         1.4.9.69-5.0
                         libopenshot            0.1.9-8.0            0.2.0-1.0
                   libopenshot-audio            0.1.5-1.1            0.1.6-1.0
                           libosinfo            1.1.0-1.1            1.2.0-1.0
                    libqtshadowsocks            2.1.0-1.0            2.1.0-3.0
                         libutf8proc          1.3.1_3-2.0            2.1.1-2.0
                        libxxf86misc            1.0.3-3.0            1.0.4-1.0
                              linbox            1.5.2-7.0            1.5.2-8.0
                            lollypop          0.9.516-1.0          0.9.518-1.0
                 mailnag-gnome-shell           3.26.0-2.0           3.28.0-1.0
                                maim            5.5.1-1.0            5.5.2-1.0
                         materia-kde         20180618-1.0         20180701-1.0
               matrix-appservice-irc            0.8.0-1.0            0.9.0-1.0
                              merlin            3.0.5-1.0            3.1.0-1.0
                          metasploit          4.16.60-1.0           4.17.0-1.0
                            minetest           0.4.17-1.0         0.4.17.1-1.0
                     minetest-common           0.4.17-1.0         0.4.17.1-1.0
                     minetest-server           0.4.17-1.0         0.4.17.1-1.0
                            minidlna            1.2.1-3.0            1.2.1-4.0
                               mixxx            2.1.0-1.0            2.1.1-1.0
                                mpop            1.2.6-2.0            1.2.8-1.0
                           musescore            2.2.1-1.0              2.3-1.0
                                nemo            3.8.3-1.0            3.8.4-1.0
                             netsurf                3.7-2              3.7-3.0
                      nginx-mainline           1.15.0-1.0           1.15.1-1.0
                              nodejs           10.5.0-1.0           10.6.0-1.0
                            normaliz            3.6.0-1.0            3.6.1-1.0
                             notmuch           0.26.2-1.0             0.27-1.0
                        notmuch-mutt           0.26.2-1.0             0.27-1.0
                     notmuch-runtime           0.26.2-1.0             0.27-1.0
                         notmuch-vim           0.26.2-1.0             0.27-1.0
                                 ntl           11.1.0-1.0           11.2.0-1.0
                          obs-studio           21.1.1-2.1           21.1.2-1.0
                              octave            4.4.0-1.0            4.4.0-1.1
                             openbve          1.5.3.3-1.0          1.5.3.7-1.0
                            openshot            2.4.1-2.0            2.4.2-1.0
                           osinfo-db         20180514-1.0         20180612-1.0
                     osinfo-db-tools              1.1.0-1            1.2.0-1.0
                       otf-fira-code            1.205-2.0            1.205-3.0
                            pacredir            0.3.3-1.0            0.4.0-1.0
                            pass-otp            1.1.0-1.0            1.1.1-1.0
                perl-app-borgrestore            2.3.0-1.0            3.0.0-1.0
                         playonlinux             4.2.12-1           4.2.12-2.0
                                 pm2           2.10.4-1.0            3.0.0-1.0
                                po4a               0.52-1             0.54-1.0
                            postgrey             1.37-2.0             1.37-3.0
                            powerdns            4.1.3-2.0            4.1.3-4.0
                        python-boto3           1.7.47-1.0           1.7.50-1.0
                     python-botocore          1.10.47-1.0          1.10.50-1.0
                        python-cliff           2.12.1-1.0           2.13.0-1.0
                       python-docker            3.4.0-1.0            3.4.1-1.0
                         python-docs            3.6.5-1.0            3.6.6-1.0
              python-flask-autoindex              0.6-4.0            0.6.1-1.0
                         python-gdal            2.3.0-2.1            2.3.1-1.0
                 python-html5-parser            0.4.5-1.0            0.4.5-2.0
                   python-hypothesis           3.58.0-1.0           3.65.3-1.0
                     python-idna_ssl            1.0.1-1.0            1.1.0-1.0
                         python-jedi           0.12.0-2.0           0.12.1-1.0
                      python-keyring           13.1.0-1.0           13.2.1-1.0
                       python-parsel            1.4.0-1.0            1.5.0-1.0
                        python-parso            0.2.1-3.0            0.3.0-1.0
                          python-pbr            4.0.4-1.0            4.1.0-1.0
                       python-peewee            3.5.1-1.0            3.5.2-1.0
                       python-pipenv        2018.6.25-1.0         2018.7.1-1.0
                       python-pytest            3.6.2-1.0            3.6.3-1.0
                 python-pytest-isort            0.2.0-1.0            0.2.0-2.0
                         python-pytz           2018.4-1.0           2018.5-1.0
                        python-pyzmq           16.0.3-1.0           17.0.0-1.0
                  python-ruamel-yaml          0.15.41-1.0          0.15.42-1.0
                       python2-boto3           1.7.47-1.0           1.7.50-1.0
                    python2-botocore          1.10.47-1.0          1.10.50-1.0
                       python2-cliff           2.12.1-1.0           2.13.0-1.0
                      python2-docker            3.4.0-1.0            3.4.1-1.0
             python2-flask-autoindex              0.6-4.0            0.6.1-1.0
                        python2-gdal            2.3.0-2.1            2.3.1-1.0
                python2-html5-parser            0.4.5-1.0            0.4.5-2.0
                  python2-hypothesis           3.58.0-1.0           3.65.3-1.0
                        python2-jedi           0.12.0-2.0           0.12.1-1.0
                      python2-parsel            1.4.0-1.0            1.5.0-1.0
                       python2-parso            0.2.1-3.0            0.3.0-1.0
                         python2-pbr            4.0.4-1.0            4.1.0-1.0
                      python2-peewee            3.5.1-1.0            3.5.2-1.0
                      python2-pipenv        2018.6.25-1.0         2018.7.1-1.0
                      python2-pytest            3.6.2-1.0            3.6.3-1.0
                python2-pytest-isort            0.2.0-1.0            0.2.0-2.0
                        python2-pytz           2018.4-1.0           2018.5-1.0
                       python2-pyzmq           16.0.3-1.0           17.0.0-1.0
                                qcad         3.21.0.0-2.0         3.21.1.1-1.0
                                qgis            3.0.3-1.1            3.2.0-1.0
                                qtox           1.15.0-2.0           1.16.0-2.0
                            quiterss          0.18.10-2.0          0.18.12-1.0
                         qutebrowser            1.3.3-1.0            1.4.0-1.0
                            rabbitmq            3.7.5-1.0            3.7.7-1.0
                       rabbitmqadmin            3.7.5-1.0            3.7.7-1.0
                             radare2            2.5.0-1.0            2.6.9-1.0
                      radare2-cutter              1.4-1.0              1.5-1.0
                ruby-rack-protection            2.0.1-1.0            2.0.3-1.0
                           simutrans            120.2.2-1            120.3-1.0
                                sink            0.6.0-2.0            0.7.0-1.0
                           skk-jisyo         20180617-1.0         20180701-1.0
                            smplayer           18.4.0-1.0           18.6.0-1.0
                     smplayer-themes           1:17.3.0-1         1:18.6.0-1.0
                       spice-vdagent             0.17.0-3           0.18.0-1.0
                               squid           3.5.27-4.0              4.1-1.0
                             stunnel             5.46-1.0             5.48-2.0
                           texstudio           2.12.8-1.0          2.12.10-2.0
                                 tor          0.3.3.6-1.0          0.3.3.7-1.0
                             toxcore          1:0.2.2-1.0          1:0.2.3-1.0
                              trojan            1.4.2-1.0            1.4.3-1.0
                       ttf-fira-code            1.205-2.0            1.205-3.0
                           uglify-js            3.4.2-1.0            3.4.3-1.0
                            urlwatch             2.11-1.0             2.13-1.0
                               v2ray             3.27-1.0             3.28-1.0
                            vbam-sdl            2.0.2-4.0            2.1.0-1.0
                             vbam-wx            2.0.2-4.0            2.1.0-1.0
                          virtualbox           5.2.12-2.0           5.2.14-1.0
                  virtualbox-ext-vnc           5.2.12-2.0           5.2.14-1.0
               virtualbox-guest-dkms           5.2.12-2.0           5.2.14-1.0
                virtualbox-guest-iso           5.2.12-1.0           5.2.14-1.0
              virtualbox-guest-utils           5.2.12-2.0           5.2.14-1.0
          virtualbox-guest-utils-nox           5.2.12-2.0           5.2.14-1.0
                virtualbox-host-dkms           5.2.12-2.0           5.2.14-1.0
                      virtualbox-sdk           5.2.12-2.0           5.2.14-1.0
                                xcas         1.4.9.69-4.0         1.4.9.69-5.0
                              xl2tpd           1.3.12-1.0           1.3.12-2.0
                          youtube-dl       2018.06.25-1.0       2018.07.04-1.0
                      youtube-viewer          1:3.3.4-1.0          1:3.3.4-2.0
                                zart            2.3.2-1.0            2.3.3-1.0
                              zeromq              4.2.2-2            4.2.3-1.0
                bash-language-server                    -            1.3.1-1.0
                        d-containers                    -     0.8.0alpha.9-1.1
                    d-stdx-allocator                    -           2.77.2-1.1
                                dfmt                    -            0.8.2-1.1
                                 dmd                    -        1:2.080.1-1.0
                            dmd-docs                    -        1:2.080.1-1.0
                              dtools                    -          2.081.0-1.0
                       erlang-nox-20                    -           20.3.8-2.0
                                gcin                    -            2.8.6-1.0
                            gir-to-d                    -           0.15.0-1.1
                     haskell-wcwidth                    -            0.0.2-1.0
                               ktikz                    -             0.12-1.0
                             labplot                    -            2.5.0-1.0
                             libcerf                    -              1.5-1.0
                           libphobos                    -        1:2.080.1-1.0
                        matterbridge                    -           1.11.0-1.0
                           msr-tools                    -              1.3-3.0
                          mustache-d                    -            0.1.3-6.1
                   perl-data-section                    -         0.200007-1.0
               perl-software-license                    -         0.103013-1.0
              perl-test-failwarnings                    -            0.008-1.0
                    python-iniconfig                    -            1.0.0-1.0
                    python-periphery                    -            1.1.1-1.0
                    python-rapidjson                    -            0.6.2-1.0
                    python-structlog                    -           18.1.0-1.0
                   python2-iniconfig                    -            1.0.0-1.0
                   python2-periphery                    -            1.1.1-1.0
                   python2-structlog                    -           18.1.0-1.0
                               qtikz                    -             0.12-1.0
                         shellharden                    -              3.2-1.0
                              xxhash                    -            0.6.5-2.0
                               zapcc                    -              5.0-1.1

Any problems?

  • No issues, everything went smoothly
  • Yes there was an issue. I was able to resolve it myself. (Please post your solution)
  • Yes I am currently experiencing an issue due to the update. (Please post about it)

0 voters



[Testing Update i686] 2018-07-05 - Kernels! Firefox!
#2

Known Issues and Solutions


#3

@jonathon

Gone well except;

Aur Targets    (1): systemd-kcm
Pacman Targets (1): extra-cmake-modules

Proceed with installation? [Y/n] y
resolving dependencies...
looking for conflicting packages...

Packages (4) cmake-3.11.4-1.1  jsoncpp-1.8.4-2.0  rhash-1.3.6-1.0  extra-cmake-modules-5.47.0-1.0

Total Download Size:    6.98 MiB
Total Installed Size:  35.65 MiB

:: Proceed with installation? [Y/n] 
:: Retrieving packages...
 jsoncpp-1.8.4-2.0-i686                                                           1107.7 KiB   177K/s 00:06 [################################################################] 100%
 cmake-3.11.4-1.1-i686                                                               5.6 MiB   339K/s 00:17 [################################################################] 100%
 extra-cmake-modules-5.47.0-1.0-any                                                221.7 KiB  1108K/s 00:00 [################################################################] 100%
 rhash-1.3.6-1.0-i686                                                              126.9 KiB  1410K/s 00:00 [################################################################] 100%
(4/4) checking keys in keyring                                                                              [################################################################] 100%
(4/4) checking package integrity                                                                            [################################################################] 100%
(4/4) loading package files                                                                                 [################################################################] 100%
(4/4) checking for file conflicts                                                                           [################################################################] 100%
(4/4) checking available disk space                                                                         [################################################################] 100%
:: Processing package changes...
(1/4) installing jsoncpp                                                                                    [################################################################] 100%
Optional dependencies for jsoncpp
    jsoncpp-doc: documentation
(2/4) installing rhash                                                                                      [################################################################] 100%
(3/4) installing cmake                                                                                      [################################################################] 100%
Optional dependencies for cmake
    qt5-base: cmake-gui [installed]
    libxkbcommon-x11: cmake-gui [installed]
(4/4) installing extra-cmake-modules                                                                        [################################################################] 100%
:: Running post-transaction hooks...
(1/4) Updating icon theme caches...
(2/4) Arming ConditionNeedsUpdate...
(3/4) Updating the desktop file MIME type cache...
(4/4) Updating the MIME type database...
warning: i686 missing from arch array
Edit systemd-kcm PKGBUILD with $EDITOR? [Y/n] n
==> ERROR: systemd-kcm is not available for the 'i686' architecture.
The build failed.
 local database is up to date

#4

That’s an AUR package so out-of-scope. You can download, edit, and build the package file manually.


#5

This is the case for an increasing number of AUR packages. Sometimes you can manage to get the sources for i686, usually when the AUR package just repackages a .deb or .rpm package.
If it is a compile from source package it might build successfully if you add i686 to the line in PKGBUILD
arch=('i686' 'x86_64')


#6

@jonathon @eugen-b

Thanks guys, it did the trick :grinning:


#7

Update on 1 Machine and 1 VB without Problems.

DK3


#8

Flash plugin 30.0.0.134 is dated 7/10/2018 for the taking, thanks.


#9

Uploaded.


#10

This topic was automatically closed 24 hours after the last reply. New replies are no longer allowed.